Fresco/Fresco-Test/scripts run_tests.sh,1.2,1.3

Tobias Hunger <[email protected]>
Newsgroups gmane.comp.video.fresco.cvs
Message-ID <[email protected]>
Update of /cvs/fresco/Fresco/Fresco-Test/scripts
In directory purcel:/tmp/cvs-serv16875

Modified Files:
	run_tests.sh 
Log Message:
Log test results to ./test.log


Index: run_tests.sh
===================================================================
RCS file: /cvs/fresco/Fresco/Fresco-Test/scripts/run_tests.sh,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -d -r1.2 -r1.3
--- run_tests.sh	5 Apr 2003 23:21:56 -0000	1.2
+++ run_tests.sh	23 Apr 2003 10:45:22 -0000	1.3
@@ -6,13 +6,15 @@
 # It is meant as a quick and dirty way to run our tests from a Makefile
 # without needing to register all tests with qmtest manually.
 
+TEST_LOG=test.log
+
 ALL_PASSED=1
 
 function run_test()
 {
     TESTPROG="$1"
     for TEST in `$TESTPROG list` ; do
-        if ! $TESTPROG run $TEST | egrep -q '^Result:[[:space:]]+PASS'; then
+        if ! $TESTPROG run $TEST | tee -a $TEST_LOG | egrep -q '^Result:[[:space:]]+PASS'; then
             echo "Test $TEST in $TESTPROG FAILED!"
             ALL_PASSED=0;
 	else
@@ -20,6 +22,11 @@
         fi
     done
 }
+
+date >> $TEST_LOG
+echo "Running \"$*\":" >> $TEST_LOG
+echo "Using LD_LIBRARY_PATH=$LD_LIBRARY_PATH" >> $TEST_LOG
+echo >> $TEST_LOG
 
 for CURRENT in "$@"; do
     run_test "$CURRENT"
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.